Bug 415761 - Root login (in New Root Shell) using finger reader in konsole is wonky
Root login (in New Root Shell) using finger reader in konsole is wonky
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-07 10:59 EST by David Kovalsky
Modified: 2014-03-31 19:44 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-02 08:57:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Kovalsky 2007-12-07 10:59:01 EST
Everything works as expected if you try to open 1 root shell - you get the
"Password or swipe finger: " promt. But if you open another one before you scan
your finger or log in, you get only 'Password:' in the second tab. After that
you can't even use the finger reader to log in in the first tab.

Reproducer:
1) start konsole
2) Session -> New Root Shell
3) Session -> New Root Shell

a) Shell in second tab doesn't show the 'Password or swipe finger:' prompt
b) It's not possible to use finger reader to login in the first tab
Comment 1 David Kovalsky 2007-12-07 11:00:50 EST
Forgot to add - I'm running fully updated F8, some of the package versions that
may matter:

kdebase-3.5.8-5.fc8
kernel-2.6.23.8-63.fc8
thinkfinger-0.3-7.fc8
Comment 2 Bug Zapper 2008-11-26 03:53:21 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 David Kovalsky 2008-12-02 08:11:21 EST
I'm stopped using the finger reader for auth, so I don't care anymore.
Comment 4 Rex Dieter 2008-12-02 08:57:08 EST
Sorry, none of us kde-sig'ers have such a reader, so didn't have much chance to work on this.

I'll take don't care as -> WONTFIX (for now).
Comment 5 Kevin Kofler 2008-12-02 10:45:13 EST
Well, I have one, but it's only supported by the latest development version of libfprint, so I didn't get around to try it out at all yet.

Note You need to log in before you can comment on or make changes to this bug.